Skip to main content
`Ctrl`+`K`

# DMCoarsen

Coarsens a `DM` object using a standard, non-adaptive coarsening of the underlying mesh

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCoarsen(DM dm, MPI_Comm comm, DM *dmc)

Collective

## Input Parameters

- dm - the `DM` object

- comm - the communicator to contain the new `DM` object (or `MPI_COMM_NULL`)

## Output Parameter

- dmc - the coarsened `DM`

## See Also

DM Basics, `DM`, `DMRefine()`, `DMDestroy()`, `DMView()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`, `DMCreateDomainDecomposition()`, `DMCoarsenHookAdd()`, `DMCoarsenHookRemove()`

## Level

developer

## Location

src/dm/interface/dm.c

## Examples

src/dm/impls/stag/tutorials/ex4.c
src/ksp/ksp/tutorials/ex65.c

## Implementations

DMCoarsen_Composite() in src/dm/impls/composite/pack.c
DMCoarsen_DA() in src/dm/impls/da/da.c
DMCoarsen_Forest() in src/dm/impls/forest/forest.c
DMCoarsen_Moab() in src/dm/impls/moab/dmmbmg.cxx
DMCoarsen_Plex() in src/dm/impls/plex/plexcoarsen.c
DMCoarsen_Redundant() in src/dm/impls/redundant/dmredundant.c
DMCoarsen_Stag() in src/dm/impls/stag/stag.c
DMCoarsen_SNESVI() in src/snes/impls/vi/rs/virs.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages